package com.bsoft.admin.model.reqmodel;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

public class RoleReq {
    public static class GetReq{
        @ApiModelProperty(value="角色名称",required = true)
        private String roleName;

        public String getRoleName() {
            return roleName;
        }

        public void setRoleName(String roleName) {
            this.roleName = roleName;
        }

        @Override
        public String toString() {
            return "GetReq{" +
                    "roleName='" + roleName + '\'' +
                    '}';
        }
    }

    public static class InfoReq{
        @ApiModelProperty(value="角色ID",required = true)
        @NotNull(message = "角色ID 参数必传")
        private Long roleId;

        public Long getRoleId() {
            return roleId;
        }

        public void setRoleId(Long roleId) {
            this.roleId = roleId;
        }

        @Override
        public String toString() {
            return "DeleteReq{" +
                    "roleId=" + roleId +
                    '}';
        }
    }

    public static class AddReq{
        @ApiModelProperty(value="角色编码",required = true)
        @NotNull(message = "角色编码 参数必传")
        private Long roleCode;

        @ApiModelProperty(value="角色名称",required = true)
        @NotNull(message = "角色名称 参数必传")
        private String roleName;

        public Long getRoleCode() {
            return roleCode;
        }

        public void setRoleCode(Long roleCode) {
            this.roleCode = roleCode;
        }

        public String getRoleName() {
            return roleName;
        }

        public void setRoleName(String roleName) {
            this.roleName = roleName;
        }

        @Override
        public String toString() {
            return "AddReq{" +
                    "roleCode=" + roleCode +
                    ", roleName='" + roleName + '\'' +
                    '}';
        }
    }

    public static class DeleteReq{
        @ApiModelProperty(value="角色ID",required = true)
        @NotNull(message = "角色ID 参数必传")
        private Long roleId;

        public Long getRoleId() {
            return roleId;
        }

        public void setRoleId(Long roleId) {
            this.roleId = roleId;
        }

        @Override
        public String toString() {
            return "DeleteReq{" +
                    "roleId=" + roleId +
                    '}';
        }
    }

    public static class UpdateReq{
        @ApiModelProperty(value="角色ID",required = true)
        @NotNull(message = "角色ID 参数必传")
        private Long roleId;

        @ApiModelProperty(value="角色编码",required = true)
        @NotNull(message = "角色编码 参数必传")
        private Long roleCode;

        @ApiModelProperty(value="角色名称",required = true)
        @NotNull(message = "角色名称 参数必传")
        private String roleName;

        public Long getRoleId() {
            return roleId;
        }

        public void setRoleId(Long roleId) {
            this.roleId = roleId;
        }

        public Long getRoleCode() {
            return roleCode;
        }

        public void setRoleCode(Long roleCode) {
            this.roleCode = roleCode;
        }

        public String getRoleName() {
            return roleName;
        }

        public void setRoleName(String roleName) {
            this.roleName = roleName;
        }

        @Override
        public String toString() {
            return "UpdateReq{" +
                    "roleId=" + roleId +
                    ", roleCode=" + roleCode +
                    ", roleName='" + roleName + '\'' +
                    '}';
        }
    }

}
